| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/custom_new_disable.h File Reference

Include file to disable CrystalSpace's 'operator new' override, which is used when the memtracker or extensive memory debugging is enabled, and breaks in cases like placement new. More...

`#include <new>`

Go to the source code of this file.

## Detailed Description

Include file to disable CrystalSpace's 'operator new' override, which is used when the memtracker or extensive memory debugging is enabled, and breaks in cases like placement new.

After code using such breaking statements, the custom new should be re-enabled by including `custom_new_enable.inc`.

Definition in file custom_new_disable.h.